<?php
defined('TYPO3_MODE') || die('Access denied.');

call_user_func(
    function()
    {

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            'Slavlee.CampusFlexformTutorial',
            'Firstflexform',
            [
                
            ],
            // non-cacheable actions
            [
                
            ]
        );

    // wizards
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
        'mod {
            wizards.newContentElement.wizardItems.plugins {
                elements {
                    firstflexform {
                        iconIdentifier = campus_flexform_tutorial-plugin-firstflexform
                        title = LLL:EXT:campus_flexform_tutorial/Resources/Private/Language/locallang_db.xlf:tx_campus_flexform_tutorial_firstflexform.name
                        description = LLL:EXT:campus_flexform_tutorial/Resources/Private/Language/locallang_db.xlf:tx_campus_flexform_tutorial_firstflexform.description
                        tt_content_defValues {
                            CType = list
                            list_type = campusflexformtutorial_firstflexform
                        }
                    }
                }
                show = *
            }
       }'
    );
		$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
		
			$iconRegistry->registerIcon(
				'campus_flexform_tutorial-plugin-firstflexform',
				\TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
				['source' => 'EXT:campus_flexform_tutorial/Resources/Public/Icons/user_plugin_firstflexform.svg']
			);
		
    }
);
